Come installare i pacchetti suggeriti in apt-get

53

So che la domanda è stata fatta prima, ma per favore ascoltami. Quindi volevo installare gli screenlet. Ho eseguito sudo apt-get install screenlets , e questo è quello che ho ottenuto:

The following extra packages will be installed:
  libart-2.0-2 libbonobo2-0 libbonobo2-common libbonoboui2-0 libbonoboui2-common libgnome2-0 libgnomecanvas2-0
  libgnomecanvas2-common libgnomeui-0 libgnomeui-common libtidy-0.99-0 python-beautifulsoup python-evolution
  python-feedparser python-gmenu python-gnome2 python-numpy python-pyorbit python-rsvg python-tz python-utidylib
  screenlets-pack-basic
Suggested packages:
  libbonobo2-bin python-gnome2-doc python-numpy-doc python-numpy-dbg python-nose python-dev gfortran
  python-pyorbit-dbg screenlets-pack-all python-dcop
Recommended packages:
  python-numeric python-gnome2-extras
The following NEW packages will be installed:
  libart-2.0-2 libbonobo2-0 libbonobo2-common libbonoboui2-0 libbonoboui2-common libgnome2-0 libgnomecanvas2-0
  libgnomecanvas2-common libgnomeui-0 libgnomeui-common libtidy-0.99-0 python-beautifulsoup python-evolution
  python-feedparser python-gmenu python-gnome2 python-numpy python-pyorbit python-rsvg python-tz python-utidylib
  screenlets screenlets-pack-basic
0 upgraded, 23 newly installed, 0 to remove and 2 not upgraded.

Le persone dicono che i pacchetti consigliati sono installati di default, ma chiaramente non sono inclusi nei NUOVI pacchetti che verranno installati sopra. Ho anche deciso di includere i pacchetti suggeriti nell'installazione, quindi ho eseguito sudo apt-get --install-suggests install screenlets , ma ho ottenuto un elenco ENORME di nuovi pacchetti che verranno installati; quel numero è precisamente 0 upgraded, 944 newly installed, 0 to remove and 2 not upgraded . Non dovrei ricevere solo circa 10 pacchetti extra?

    
posta Alaa Ali 31.03.2012 - 16:24

2 risposte

11

Ho scoperto perché i pacchetti consigliati nella mia domanda non erano inclusi nei pacchetti da installare. È perché quei pacchetti raccomandati non esistono nei repository. Ho provato ad installare un pacchetto casuale, ho scelto sudo apt-get install googleearth-package . Non ha mostrato la sezione Pacchetti consigliati (il che significa che sono già inclusi nella sezione NUOVI pacchetti da installare). Per confermarlo, ho eseguito sudo apt-get --no-install-recommends install googleearth-package e sicuramente la sezione Pacchetti consigliati si è rivelata. Per quanto riguarda i pacchetti suggeriti , suppongo che non utilizzerò --install-suggests perché installa solo i pacchetti suggeriti e i loro pacchetti suggeriti.

    
risposta data Alaa Ali 01.04.2012 - 05:33
55

suggerisce e consiglia non sono la stessa cosa.

  

Il pacchetto A dipende sul pacchetto B se B deve assolutamente essere installato per eseguire A. In alcuni casi, A dipende non solo da B, ma da una versione di B. In questo caso, la dipendenza della versione di solito è un limite inferiore, nel senso che A dipende da qualsiasi versione di B più recente rispetto ad una versione specifica.

     

Pacchetto A raccomanda Pacchetto B, se il manutentore del pacchetto ritiene che la maggior parte degli utenti non vorrebbe A senza avere anche la funzionalità fornita da B.

     

Il pacchetto A suggerisce il pacchetto B se B contiene file correlati (e in genere migliorano) la funzionalità di A.

Vedi Domande frequenti su Debian GNU / Linux per i dettagli.

Per impostazione predefinita, apt-get installa i pacchetti consigliati.

L'opzione --install-suggests aggiunge nei pacchetti suggeriti e le loro dipendenze suggerite.

--install-suggests
    Consider suggested packages as a dependency for installing.
    Configuration Item: APT::Install-Suggests.

vedi apt-get (8) .

    
risposta data Panther 31.03.2012 - 16:39

Leggi altre domande sui tag